python-biopython (1.85+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Restore deleted line as it seems to break autopkgtests.

 -- Santiago Vila <sanvila@debian.org>  Fri, 11 Apr 2025 21:30:00 +0200

python-biopython (1.85+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix build with nocheck.
  * Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Fri, 11 Apr 2025 19:00:00 +0200

python-biopython (1.85+dfsg-2) unstable; urgency=medium

  * Skip the Tutorial test on s390x. Closes: #1095105.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 06 Feb 2025 15:44:29 +0100

python-biopython (1.85+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Étienne Mollier ]
  * d/t/mini-ccd.cif: include definition of SO4 molecule.
    The definition originates from PDB's components.cif as of 2024-10-30.
    This resolves the noisy warning when running test_PDB_DSSP.

  [ Michael R. Crusoe ]
  * New upstream version
  * Refreshed patches.
  * Added python3-igraph as a recommend package and test dependency for
    use with Bio.Phylo.
  * d/rules: resume running the Tutorial tests everywhere.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 29 Jan 2025 17:02:52 +0100

python-biopython (1.84+dfsg-4) unstable; urgency=medium

  * skip-scipy-in-codonalign.patch: comment about #1086108.
    Bug #1086108 may be related and the patch removed once resolved.
  * d/t/mini-ccd.cif: new: provide subset of data needed by the libcifpp.
  * d/copyright: document origin of mini-ccd.cif.
  * d/rules: configure libcifpp to use the mini-ccd.cif.
    By instructing the libcifpp to use a local data directory with the
    mini-ccd.cif providing the missing components.cif PDB/DSSP related
    tests depending on a working libcifpp are back in "fair enough"
    working conditions.  The original components.cif is more than 400M and
    changes constantly, making it problematic to maintain through Debian
    packages while at the same time keeping it useful for end users,
    Thanks to Maarten L. Hekkelman <maarten@hekkelman.com> (Closes: #1086156)
  * d/t/run-unit-test: also fix PDB/dssp for autopkgtest.

 -- Étienne Mollier <emollier@debian.org>  Wed, 30 Oct 2024 21:45:42 +0100

python-biopython (1.84+dfsg-3) unstable; urgency=medium

  * skip-scipy-in-codonalign.patch: also skip on mips64el.
    The symptom of scipy processing hanging up appeared already in
    riscv64, now on mips64el.
  * d/rules: skip test of BWA on mips64el.

 -- Étienne Mollier <emollier@debian.org>  Fri, 18 Oct 2024 11:30:13 +0200

python-biopython (1.84+dfsg-2) unstable; urgency=medium

  * d/t/run-unit-test: disable PDB_binary_cif for s390x in autopkgtest too.

 -- Étienne Mollier <emollier@debian.org>  Tue, 24 Sep 2024 19:44:19 +0200

python-biopython (1.84+dfsg-1) unstable; urgency=medium

  * Migrate Biopython 1.84 from experimental to unstable.
  * d/salsa-ci.yml: disable build path variation in reprotest.
  * d/rules: normalize HOME; this stabilizes build reproducibility.
  * d/rules: skip PDB_bcif on s390x architecture.

 -- Étienne Mollier <emollier@debian.org>  Mon, 23 Sep 2024 19:04:17 +0200

python-biopython (1.84+dfsg-1~0exp1) experimental; urgency=medium

  * New upstream version 1.84+dfsg
  * d/watch: fix debian version mangling.
  * d/copyright: update copyright years.
  * fix-use-of-unversioned-python.patch: delete: hunk removed upstream.
  * reproduciblebuild.patch: delete: file disappeared upstream.
  * croak-on-muscle5.patch: refresh.
  * muscle3.patch: unfuzz.
  * seqxml-parser.patch: delete: issue fixed upstream.
  * skip-scipy-in-codonalign.patch: unfuzz.
  * d/rules: condensate dh_installdocs target to ease readability.
  * d/rules: cleanup irrelevant comments and more readable dh_auto_test.
  * d/t/run-unit-test: Tutorial.tex does not exist anymore.
  * d/t/run-unit-test: new PDB tests require compressed bcif files.
  * d/rules: replace distclean target by clean in Doc/.
  * d/control: documentation now depends on Sphinx and side modules.
  * d/rules: explicitly make html documentation.
  * d/copyright: do not advertise LGPL since it is not in use.
  * d/rules: cleanup documentation from embeding and privacy breaches.
  * d/control: documentation depends on libjs-sphinx and libjs-jquery.
  * d/python-biopython-doc.docs: install sphinx html artifacts.
  * d/python-biopython-doc.doc-base: update location of the Tutorial.
  * d/python-biopython-doc.examples: new: install examples.
  * d/python-biopython-doc.lintian-overrides: flag another empty test file.
  * fix-type-cast-i386.patch: new: fix PDB test failure on 32-bit.
  * d/TODO: build reproducibility needs fixing.

 -- Étienne Mollier <emollier@debian.org>  Mon, 16 Sep 2024 22:34:06 +0200

python-biopython (1.83+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * Cherry-pick patch from upstream to fix FTBFS with Python 3.13.
    Closes: #1081665
  * Remove constraints unnecessary since bullseye (oldstable):
    + python3-biopython: Drop versioned constraint on ncbi-blast+ (>= 2.10.1-3)
      in Recommends.
  * d/control: adjust build-deps to be more cross-build friendly.
  * Fix some of the DEP-3 patch metadata

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 14 Sep 2024 13:51:11 +0200

python-biopython (1.83+dfsg1-4) unstable; urgency=medium

  * skip-scipy-in-codonalign.patch: new: skip scipy tests on riscv64.
    This patch is introduced to give some breath to Risc-V CI runners while
    the core of the problem is investigated. (Closes: #1079439)
  * d/rules: skip ncbi tools tests due to #1079439.
  * d/rules: update list of excluded tests due to missing packages.

 -- Étienne Mollier <emollier@debian.org>  Wed, 04 Sep 2024 21:44:05 +0200

python-biopython (1.83+dfsg1-3) unstable; urgency=medium

  * Replace skip-xmlio-tests.patch by seqxml-parser.patch.
    Instead of skipping the test, upstream introduced a change that fixed
    the XML parser for use with the newer version of expat. (Closes: #1064147)
  * d/control: declare compliance to standards version 4.7.0.
  * d/python3-biopython.lintian-overrides: update file name.

 -- Étienne Mollier <emollier@debian.org>  Wed, 22 May 2024 15:14:56 +0200

python-biopython (1.83+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Drop emboss from test dependencies on emboss due to #1069098.

 -- Andrius Merkys <merkys@debian.org>  Wed, 17 Apr 2024 07:32:28 -0400

python-biopython (1.83+dfsg1-1) unstable; urgency=medium

  * New upstream pseudo-version 1.83+dfsg1.
    This is a minor version bump to include the new test artifact necessary
    to allow the test suite to pass on big endian architectures.  The nature
    of the change makes it unsuitable to represent using the regular d/patches
    series.  See upstream issue 4658[1] for further information.
    [1}: https://github.com/biopython/biopython/issues/4658
  * d/rules: skip test Tutorial on non-amd64.

 -- Étienne Mollier <emollier@debian.org>  Wed, 20 Mar 2024 21:10:02 +0100

python-biopython (1.83+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Exclude emboss from Build-Depends for 32bit architectures since
    emboss will be removed for these architectures (see #1062371)

  [ Étienne Mollier ]
  * skip-xmlio-tests.patch: new: skip test failures.
    This works around #1064147 so it is not a serious failure anymore.
    The problem being still latent, said bug is not closed for now.
  * d/t/run-unit-test: deploy newly needed test data.
  * d/control: reduce availability of test dependencies.
    Following the 64-bit time_t migration, and the removal of several
    Debian Med packages from the 32-bit archives, these items are not
    generally available anymore, and only checked on amd64 architecture.

 -- Étienne Mollier <emollier@debian.org>  Sun, 10 Mar 2024 21:00:41 +0100

python-biopython (1.81+dfsg-3) unstable; urgency=medium

  * d/control: remove dependency on python3-unittest2. (Closes: #1058967)

 -- Étienne Mollier <emollier@debian.org>  Tue, 19 Dec 2023 15:06:46 +0100

python-biopython (1.81+dfsg-2) unstable; urgency=medium

  * python3.12.patch: new: fix ftbfs with python3.12.
    Thanks to Antonio (Closes: #1055708)
  * d/control: remove obsolete comment.
  * d/control: move to dh-sequence-python3.

 -- Étienne Mollier <emollier@debian.org>  Sat, 11 Nov 2023 11:16:46 +0100

python-biopython (1.81+dfsg-1) unstable; urgency=medium

  * Migrate biopython 1.81 to unstable.
  * Merges fixes from python-biopython 1.80+dfsg-6.

 -- Étienne Mollier <emollier@debian.org>  Mon, 10 Jul 2023 22:50:52 +0200

python-biopython (1.81+dfsg-0+exp1) experimental; urgency=medium

  * New upstream version 1.81+dfsg
  * d/control: remove obsolete version constraint on dssp.
  * numpy-1.24.patch: remove: applied upstream.
  * muscle3.patch: fix typo in patch description.
  * remove-distutils-import.patch: add.

 -- Étienne Mollier <emollier@debian.org>  Sun, 09 Jul 2023 20:21:39 +0200

python-biopython (1.80+dfsg-6) unstable; urgency=medium

  * d/control: depend on python3-reportlab (>= 4.0.4-1~). (Closes: #1040776)

 -- Étienne Mollier <emollier@debian.org>  Mon, 10 Jul 2023 22:27:12 +0200

python-biopython (1.80+dfsg-5) unstable; urgency=medium

  [ Andreas Tille ]
  * Drop nocheck profile from hevea since its also needed to create doc
    (Closes: #1036174)

  [ Lukas Märdian ]
  * avoid the python3-renderpm dependency (Closes: #1039565)

  [ Étienne Mollier ]
  * d/rules: disable install-doc target with nodoc profile.
  * d/control: enable numpy outside nocheck build profile.
  * d/*.lintian-overrides: make the spelling override more generic.

 -- Étienne Mollier <emollier@debian.org>  Sun, 09 Jul 2023 17:48:34 +0200

python-biopython (1.80+dfsg-4) unstable; urgency=medium

  * Team Upload.
  * Cherry-pick upstream patch to fix problems with
    numpy 1.24 (Closes: #1027253)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 29 Dec 2022 18:52:07 +0530

python-biopython (1.80+dfsg-3) unstable; urgency=medium

  * muscle3.patch: ensure muscle3 is default even if unavailable.
    This fixes the test_doctest failure which occurs because of a
    mismatch between "muscle" and "muscle3" when none of them is
    available.
  * d/control: declare compliance to standards version 4.6.2.

 -- Étienne Mollier <emollier@debian.org>  Fri, 23 Dec 2022 20:22:29 +0100

python-biopython (1.80+dfsg-2) unstable; urgency=medium

  * d/NEWS: fix typo in news item.
  * d/control: bring back t_coffee tests since upstream version revert.
    Closes: #1022307
  * d/control: restore muscle3 instead of plain muscle (version 5).
    Closes: #1009118
  * port_tutorial_to_muscle3.patch: add; fix doctest failures.

 -- Étienne Mollier <emollier@debian.org>  Sun, 04 Dec 2022 19:15:42 +0100

python-biopython (1.80+dfsg-1) unstable; urgency=medium

  * Migrate biopython 1.80 from experimental to unstable.
    Closes: #1024986, #1024858, #1024855, #1025014, #1025022

 -- Étienne Mollier <emollier@debian.org>  Mon, 28 Nov 2022 22:19:25 +0100

python-biopython (1.80+dfsg-1~0exp0) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Set upstream metadata fields: Security-Contact.
  * privacy_breach_ie9.patch: refresh.
  * adjust-test_GraphicsBitmaps.patch: delete; applied upstream.
  * spelling.patch: delete; applied upstream.
  * mkdssp4.patch: delete; fixed upstream.
  * d/control: remove test dependency on problematic packages; muscle 5
    wrapping is unsupported upstream, and t_coffee suffers from segmentation
    faults documented in #1022570
  * croak-on-muscle5.patch: add; raise RuntimeError with muscle 5.
  * d/NEWS: describe incompatibility with muscle 5; also describe possible
    workarounds.
  * d/not-installed: add tree1 and other_trees.
  * d/*.lintian-overrides: refresh override.
  * debian/python3-biopython.lintian-overrides: override typo; the reported
    spelling error does not seem to match anything meaningful on the side of
    the source code.
  * d/s/lintian-overrides: indicate location of Restriction.md, source of
    Restriction.html.
  * d/copyright: bump copyright years.
  * muscle3.patch: add; default to use muscle3 command if available.
    This is in preparation of the availability of a dedicated muscle3
    package with the explicitly versioned command, since muscle 5 is a very
    different program but can be installed in parallel.

 -- Étienne Mollier <emollier@debian.org>  Thu, 24 Nov 2022 18:39:22 +0100

python-biopython (1.79+dfsg-3) unstable; urgency=medium

  [ Peter Michael Green ]
  * Restrict architecture list of muscle build-dependency to reflect
    architectures where the current version of muscle is available.
    (Closes: #1006667)

  [ Étienne Mollier ]
  * d/control,d/python3-biopython.links: move from w3-dtd-mathml to slightly
    more recent w3c-sgml-lib.
    Thanks to Peter Green and Vincent Lefevre.
  * Remove d/python3-biopython.lintian-overrides; not in use anymore.

 -- Étienne Mollier <emollier@debian.org>  Sat, 05 Mar 2022 15:36:12 +0100

python-biopython (1.79+dfsg-2) unstable; urgency=medium

  * Move w3-dtd-mathml from Suggests to Depends to avoid dangling symlink
    mathml2.dtd

 -- Andreas Tille <tille@debian.org>  Thu, 17 Feb 2022 20:15:09 +0100

python-biopython (1.79+dfsg-1) unstable; urgency=medium

  * Migrate from Experimental to Unstable.
  * Mark spelling.patch as not needing forward.
    It seems that the file being package might not exists in upcoming
    Biopython versions anymore.
  * adjust-test_GraphicsBitmaps.patch: forwarded upstream.
  * d/control: breaks ncbi-acc-download (<< 0.2.7-2~)

 -- Étienne Mollier <emollier@debian.org>  Fri, 22 Oct 2021 18:10:48 +0200

python-biopython (1.79+dfsg-1~0exp0) experimental; urgency=medium

  * New upstream version
  * d/copyright: update years per LICENSE file.
  * Refresh patches:
    + mkdssp4.patch:
      - renamed from mkdssp4.path, fixing typo in the file extension,
      - skip failing test_PDB_DSSP due to mkdssp 4 too recent,
      - updated patch author's email address;
    + following renderpm upgrade, add adjust-test_GraphicsBitmaps.patch to
      properly skip again the test failing due to missing font;
    + add spelling.patch to fix new spelling-error-in-binary caught by lintian.

 -- Étienne Mollier <emollier@debian.org>  Sat, 16 Oct 2021 12:30:51 +0200

python-biopython (1.78+dfsg-6) unstable; urgency=medium

  * d/control: bump python3-renderpm to python3-biopython dependency.
    (Closes: #995689)

 -- Étienne Mollier <emollier@debian.org>  Mon, 11 Oct 2021 22:25:02 +0200

python-biopython (1.78+dfsg-5) unstable; urgency=medium

  * d/control: update uploader address
  * d/watch: fix broken url to github
  * d{,/tests}/control: add full_suite autopkgtest (Closes: #986410)
  * Standards-Version: 4.6.0 (routine-update)
  * Use secure URI in Homepage field.

 -- Étienne Mollier <emollier@debian.org>  Sun, 22 Aug 2021 21:56:28 +0200

python-biopython (1.78+dfsg-4) unstable; urgency=medium

  * Add mkdssp4.patch. (Closes: #976542)
  * Standards-Version: 4.5.1 (routine-update)
  * Bump dependency on dssp version 4.0.0.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sat, 05 Dec 2020 23:32:40 +0100

python-biopython (1.78+dfsg-3) unstable; urgency=medium

  * Bumped ncbi-blast+ version requirement to 2.10.1-3
  * Made sure run-unit-test did not attempt memory allocation override
  * debian/not-installed made more generic for various python versions
    (Closes: #972381)

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sat, 17 Oct 2020 13:59:04 +0200

python-biopython (1.78+dfsg-2) unstable; urgency=medium

  * Bumped build requirement on ncbi-blast+ 2.10.1-2 and greater:
      - fixed building on mipsel;
      - removed patch working around makeblastdb bug in v5, now unnecessary.
  * Cleaned up patches:
      - added DEP3 description to blastdbv4-tests-filter-archs.patch;
      - reviewed and forwarded patches upstream when applicable.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Fri, 02 Oct 2020 23:18:07 +0200

python-biopython (1.78+dfsg-1) unstable; urgency=medium

  * Bumped build requirement on ncbi-blast+ 2.10.0-3 and greater,
  * Reworked the patch working around makeblastd bug in v5 to fall back in v4
    only on architectures on which corrections are yet to be implemented.
  * Removed patches applied upstream.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Improved build reproducibility

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Wed, 09 Sep 2020 22:53:13 +0200

python-biopython (1.77+dfsg-3) unstable; urgency=medium

  [ Etienne Mollier ]
  * Forwarded implementation of makeblastdb's `-blastdb_version` flag to
    upstream.  (minor change)

  [ Andreas Tille ]
  * Adapt to python3-scipy by taking over pull request
      https://github.com/biopython/biopython/pull/2998
    as quilt patch.
    Closes: #966928

 -- Etienne Mollier <etienne.mollier@mailoo.org>  Mon, 22 Jun 2020 19:21:47 +0200

python-biopython (1.77+dfsg-2) unstable; urgency=medium

  * Declared python3-biopython breaks: cnvkit (<< 0.9.7-1~) (Closes: #962944)

 -- Etienne Mollier <etienne.mollier@mailoo.org>  Tue, 16 Jun 2020 22:12:00 +0200

python-biopython (1.77+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Test makeblastdb using format version 4, this is to work around issues on
    32 bits CPU architectures.  Closes: #960756.

  [ Steffen Moeller ]
  * Also clean .pygtex and .pygstyle files in Doc

 -- Etienne Mollier <etienne.mollier@mailoo.org>  Thu, 11 Jun 2020 20:10:34 +0200

python-biopython (1.76+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * debian/control: mark the -doc package as Multi-Arch: foreign

  [ Dylan Aïssi ]
  * Add upstream patch to fix tests with new NCBI BLAST DB v5 (Closes: #959587)

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Refer to specific version of license GPL-2+.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 15 May 2020 11:40:33 +0200

python-biopython (1.76+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove patches applied upstream:
    fix_doctests, ppc64el_precision, python_3.8_iteration_fix.patch
  * Remove patches missing from debian/patches/series.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 20 Dec 2019 11:00:46 -0800

python-biopython (1.75+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Patch added to reduce the required precision for one part of the
    test_phenotype_fit.TestPhenoMicro test

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 17 Dec 2019 11:35:41 +0100

python-biopython (1.75+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Restrict where we test phyml for now.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 16 Dec 2019 22:15:00 +0100

python-biopython (1.75+dfsg-2) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * Skip PDB_ResidueDepth test, as http://mgltools.scripps.edu/packages/MSMS
    is not yet packaged for Debian
  * Skip test_mmtf{,_online} as https://github.com/rcsb/mmtf-python is not yet
    packaged for Debian
  * Added missing test dependencies: python-unittest2, python{,3}-networkx,
    samtools
  * i386: build-dep on raxml for testing purposes
  * debian/patches/arm64.patch from upstream to fix the PairwiseAligner
  * debian/patches/fix_doctest: from me to fix the Bio.Cluster._cluster doctests
    Now the tests are required to pass again.

  [ Andreas Tille ]
  * Drop Python2 package
    Closes: #937606

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 15 Dec 2019 14:38:14 +0100

python-biopython (1.75+dfsg-1) unstable; urgency=medium

  * New upstream version
    Closes: #944242
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Remove trailing whitespace in debian/rules
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Set upstream metadata fields: Repository.
  * Build-Depends: python3-pygments
  * Python 3.8 iteration fix from upstream
  * Ignore remaining build time test errors since these are discussed with
    upstream and will be fixed soon.  On the other hand latest version of
    biopython is needed to fix bugs in other Debian Med packages.
  * Seems explicit Depends: python is needed now for Python2 packages
  * Remove test test_Tutorial.py which is bound to fail from autopkgtest

 -- Andreas Tille <tille@debian.org>  Wed, 04 Dec 2019 17:29:48 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-biopython`.
